<?php


namespace Drupal\entity_share_websub_subscriber\Event;


use Symfony\Component\EventDispatcher\Event;

class ContentSyncEvent extends Event {

  /**
   * Subscription events.
   */
  const EVENT_SYNC = 'entity_share_websub_subscriber.sync_subscription';

  /**
   * The subscription object.
   *
   * @var object
   */
  protected $subscription;

  public function __construct($subscription) {
    $this->subscription = $subscription;
  }

  public function getSubscription () {
    return $this->subscription;
  }

}
