<?php


namespace Drupal\Tests\entity_share_websub_hub\Traits;


use Drupal\entity_share_server\Entity\Channel;
use Drupal\node\NodeInterface;

trait ValuesTrait {
  protected $mock_topic;

  protected $mock_secret;

  protected $mock_subscriber;

  protected $mock_email;

  protected $mock_node;

  protected function setUpValues() {
    $this->mock_subscriber = 'http://rutgers.dpulp/subscribe/5536df06b5dcb966edab3a4c4d56213c16a8184';
    $this->mock_topic = 'test_channel/7cc7074e-a6ed-4a08-891d-8d1aedf196dc';
    $this->mock_secret = '5536df06b5dcbabaedab3a4c4d56213c16a8184';
    $this->mock_email = 'test@test.dpulp';
    $this->mock_node = $this->createMock(NodeInterface::class);
    $this->mock_node->method('uuid')->willReturn('7cc7074e-a6ed-4a08-891d-8d1aedf196dc');
    $this->mock_node->method('getEntityTypeId')->willReturn('node');
  }
}
